#include <IE.au3>
#include <file.au3>

Dim $ipfile="IPs.txt"
Dim $settings="settings.ini"
Dim $ipadress

;read ip address into array
If Not _FileReadToArray($ipfile, $ipadress) Then
   MsgBox(4096,"Error", $ipfile & " Not Found")
   Exit
EndIf

If @error Then
	MsgBox(4096, "", "Error occured, probably no INI file.")
Else
	For $i = 1 To $ipadress[0]
		
		$ip = $ipadress[$i]
		$user = IniRead($settings, "script_settings", "username", "")
		$password = IniRead($settings, "script_settings", "password", "")
		
		$o_IE = _IECreate ("https://" & $ip, 0, 1, 0)
		
		While 1
			If WinExists("Security Alert") Then
				ControlClick("Security Alert", "", "Button1")
			EndIf
			If WinExists("Connect to " & $ip) Then
				ControlSetText("Connect to " & $ip, "", "Edit2", $user)
				ControlSetText("Connect to " & $ip, "", "Edit3", $password)
				ControlClick("Connect to " & $ip, "", "Button2")
			EndIf
			If WinExists("Interfaces - Microsoft Internet Explorer") Then
				ExitLoop
			EndIf
			If WinExists("401 Unauthorized - Microsoft Internet Explorer") Then
				WinClose("401 Unauthorized - Microsoft Internet Explorer")
				msgbox(0, "Error", "Error: Invalid username or password")
				Exit
			EndIf
		WEnd
		
		_IELoadWait ($o_IE)
		
		_IELinkClickByText ($o_IE, "SNMP"); click "SNMP" link
		
		$oForm = _IEFormGetCollection ($o_IE, 0); select form 0 out of index
		$host_name = _IEFormElementGetObjByName ($oForm, "host_name", 0)
		$comm_name = _IEFormElementGetObjByName ($oForm, "comm_name", 0)
		$add = _IEFormElementGetObjByName ($oForm, "add trap host button", 0)
		$update = _IEFormElementGetObjByName ($oForm, "Update", 0)
		_IEFormElementSetValue ($host_name, "10.13.1.100")
		_IEFormElementSetValue ($comm_name, "public")
		_IEAction ($add, "click")
		_IEAction ($update, "click")
		_IELoadWait ($o_IE)

		_IELinkClickByText ($o_IE, "Global Network Settings"); click "Global Network Settings" link

		$oForm = _IEFormGetCollection ($o_IE, 0); select form 0 out of index
		$dynamicGateway = _IEFormElementGetObjByName ($oForm, "dynamicGateway", 0)
		$dynamicDns = _IEFormElementGetObjByName ($oForm, "dynamicDns", 0) ; dynamicDns index values: dynamic=0, manual=1
		$update = _IEFormElementGetObjByName ($oForm, "Update", 0)
		_IEAction ($dynamicGateway, "click")
		_IEAction ($dynamicDns, "click")
		_IEAction ($update, "click")
		_IELoadWait ($o_IE)
		
		_IELinkClickByText ($o_IE, "Interface Network Settings"); click "Interface Network Settings" link
		
		$oForm = _IEFormGetCollection ($o_IE, 0); select form 0 out of index
		$ip_addr = _IEFormElementGetObjByName ($oForm, "ip_addr", 1) ; ip_addr index values: Static IP=0, DHCP=1
		$update = _IEFormElementGetObjByName ($oForm, "Update", 0)
		_IEAction ($ip_addr, "click")
		_IEAction ($update, "click")
		_IELoadWait ($o_IE)
		
		_IEQuit ($o_IE)
	Next
EndIf



















